org.apache.pdfbox.pdmodel.encryption

## Class PDEncryptionDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.encryption.PDEncryption
  - - org.apache.pdfbox.pdmodel.encryption.PDEncryptionDictionary

All Implemented Interfaces:
  COSObjectable

Deprecated.
Use `PDEncryption` instead

    @Deprecated
    public class PDEncryptionDictionary
    extends PDEncryption

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.encryption.PDEncryption

`DEFAULT_LENGTH, DEFAULT_NAME, DEFAULT_VERSION, VERSION0_UNDOCUMENTED_UNSUPPORTED, VERSION1_40_BIT_ALGORITHM, VERSION2_VARIABLE_LENGTH_ALGORITHM, VERSION3_UNPUBLISHED_ALGORITHM, VERSION4_SECURITY_HANDLER`

### Constructor Summary

Constructors
Constructor and Description
`PDEncryptionDictionary()` Deprecated. Use `PDEncryption` instead
`PDEncryptionDictionary(COSDictionary dictionary)` Deprecated. Use `PDEncryption(COSDictionary)` instead

### Method Summary

### Methods inherited from class org.apache.pdfbox.pdmodel.encryption.PDEncryption

`getCOSDictionary, getCOSObject, getCryptFilterDictionary, getDefaultCryptFilterDictionary, getFilter, getLength, getOwnerEncryptionKey, getOwnerKey, getPermissions, getPerms, getRecipientsLength, getRecipientStringAt, getRevision, getSecurityHandler, getStdCryptFilterDictionary, getStreamFilterName, getStringFilterName, getSubFilter, getUserEncryptionKey, getUserKey, getVersion, hasSecurityHandler, isEncryptMetaData, removeV45filters, setCryptFilterDictionary, setDefaultCryptFilterDictionary, setFilter, setLength, setOwnerEncryptionKey, setOwnerKey, setPermissions, setPerms, setRecipients, setRevision, setSecurityHandler, setStdCryptFilterDictionary, setStreamFilterName, setStringFilterName, setSubFilter, setUserEncryptionKey, setUserKey, setVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDEncryptionDictionary

    public PDEncryptionDictionary()

Deprecated. Use `PDEncryption` instead

#### PDEncryptionDictionary

    public PDEncryptionDictionary(COSDictionary dictionary)

Deprecated. Use `PDEncryption(COSDictionary)` instead

Parameters:
  `dictionary` - a COS encryption dictionary